geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anthony Baker (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (GEODE-389) Required Role APIs should be deprecated
Date Tue, 12 Apr 2016 05:59:37 GMT

     [ https://issues.apache.org/jira/browse/GEODE-389?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Anthony Baker closed GEODE-389.
-------------------------------

> Required Role APIs should be deprecated
> ---------------------------------------
>
>                 Key: GEODE-389
>                 URL: https://issues.apache.org/jira/browse/GEODE-389
>             Project: Geode
>          Issue Type: Wish
>          Components: docs, membership
>            Reporter: Kirk Lund
>            Assignee: Bruce Schuchardt
>             Fix For: 1.0.0-incubating.M2
>
>
> The following apis related to "required roles" should all be deprecated:
> - Role
> - RequiredRoles
> - MembershipAttributes
> - LossAction
> - ResumptionAction
> - RoleException
> - RegionRoleException
> - RegionAccessException
> - RegionDistributionException
> - CommitDistributionException
> - RegionRoleListener
> Methods on public APIs that use these interfaces will need to also be deprecated.
> The corresponding attributes and elements in the cache xsd need to also be deprecated.
> It is not clear to me what a customer using required roles can transition to. Will this
be a hard removal of this functionality with no alternative?
> See GEODE-72.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message